Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-09-05, 09:02 PM   #1
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default 2.6.11-bk5 w/failure to compile [Solved]

I get the following error, I do have the latest patches applied.

include/linux/prefetch.h: In function `prefetch_range':
include/linux/prefetch.h:62: warning: pointer of type `void *' used in arithmeti
c
In file included from include/linux/dmapool.h:14,
from include/linux/pci.h:863,
from /home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv
-linux.h:75,
from /home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv
.c:14:
include/asm/io.h: In function `check_signature':
include/asm/io.h:242: warning: wrong type argument to increment
/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c: In function `nv_ag_init':
/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:3015: error: too few arguments to function `agp_backend_acquire'
/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:3015: warning: assignment makes integer from pointer without a cast
/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.c:3017: error: too few arguments to function `agp_backend_release'
make[5]: *** [/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv/nv.o] Erro
r 1
make[4]: *** [_module_/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src/nv] E
rror 2
make[3]: *** [modules] Error 2
NVIDIA: left KBUILD.
FATAL: Error inserting nvidia (/lib/modules/2.6.11-bk5/kernel/drivers/video/nvid
ia.ko): Invalid module format
make[2]: *** [package-install] Error 1
make[1]: *** [install] Error 2
make[1]: Leaving directory `/home/wnelson/NVIDIA-Linux-x86-1.0-6629-pkg1/usr/src
/nv'
make: *** [kernel_module_install] Error 2

Last edited by ghostwalker; 03-10-05 at 06:16 PM. Reason: Solved
ghostwalker is offline   Reply With Quote
Old 03-10-05, 12:21 AM   #2
zyphr
Registered User
 
Join Date: Mar 2004
Posts: 21
Default Re: 2.6.11-bk5 w/failure to compile

This might help:

http://www.nvnews.net/vbulletin/showthread.php?t=47174
zyphr is offline   Reply With Quote
Old 03-10-05, 08:29 AM   #3
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default Re: 2.6.11-bk5 w/failure to compile

I have tried all of the supplied patch sets out there with no success. This is the latest 2.6.11-bk5 changes.
ghostwalker is offline   Reply With Quote
Old 03-10-05, 05:14 PM   #4
floam
Registered User
 
Join Date: Sep 2002
Posts: 59
Default Re: 2.6.11-bk5 w/failure to compile

So you've tried using that patch with bk3, and it worked there but not now? Note that that is NOT a patch from zander, it's a patch by the Gentoo people to add support for the new agp backend stuff that's been in -mm for a while and just went into bitkeeper a couple days ago.
floam is offline   Reply With Quote
Old 03-10-05, 06:00 PM   #5
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default Re: 2.6.11-bk5 w/failure to compile

I am not sure what patch you are talking about. I believe I have tried them all?
ghostwalker is offline   Reply With Quote
Old 03-10-05, 06:16 PM   #6
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default Re: 2.6.11-bk5 w/failure to compile

Found a patch NVIDIA_kernel-1.0-6629-agp_bridge_data.patch that once all of other patch and this one is applied causes the Nvidia patch to work. The only problem is I don't remember where I found it, it was really late last night.
ghostwalker is offline   Reply With Quote
Old 03-10-05, 06:30 PM   #7
ghostwalker
Registered User
 
Join Date: Sep 2003
Location: Tacoma, WA
Posts: 76
Default Re: 2.6.11-bk5 w/failure to compile

Since I could not find it. Here it is ......
Attached Files
File Type: txt NVIDIA_kernel-1.0-6629-agp_bridge_data.patch.txt (7.7 KB, 210 views)
ghostwalker is offline   Reply With Quote
Old 03-11-05, 09:50 AM   #8
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 2.6.11-bk5 w/failure to compile

I attached an alternative patch that addresses this incompatibility; in order to use this patch, you will need to apply the cumulative patch from http://www.nvnews.net/vbulletin/showthread.php?t=46676, first. Please note that -bk snapshots prior to Linux 2.6.11-bk7 don't handle AGP 3.0 modes correctly. It is recommended that you use stable kernel releases, e.g. Linux 2.6.11.2 at the time of this writing.
Attached Files
File Type: txt NVIDIA_kernel-1.0-6629-1206883.diff.txt (18.6 KB, 208 views)
zander is offline   Reply With Quote

Old 03-11-05, 07:41 PM   #9
floam
Registered User
 
Join Date: Sep 2002
Posts: 59
Default Re: 2.6.11-bk5 w/failure to compile

Quote:
Originally Posted by ghostwalker
Found a patch NVIDIA_kernel-1.0-6629-agp_bridge_data.patch that once all of other patch and this one is applied causes the Nvidia patch to work. The only problem is I don't remember where I found it, it was really late last night.
Uhh, that's the patch that the very first reply gave you, that you said you had already tried.
floam is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Nvidia drivers won't compile with Slackware 8.0 z28Power NVIDIA Linux 6 09-18-02 06:20 PM

All times are GMT -5. The time now is 08:32 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.